Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPTrapSourceMBean

All Known Subinterfaces:
  SNMPAttributeChangeMBean, SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPJMXMonitorMBean, SNMPLogFilterMBean, SNMPStringMonitorMBean

public interface SNMPTrapSourceMBean
extends ConfigurationMBean

This MBean is the base of SNMP TRAP related config MBeans.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addEnabledServer(ServerMBean server)`
`ServerMBean[]` | `getEnabledServers()` Returns a list of target servers for trap generation.
`boolean` | `removeEnabledServer(ServerMBean server)`
`void` | `setEnabledServers(ServerMBean[] serversEnabled)` Defines a list of target servers for trap generation.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getEnabledServers

    public ServerMBean[] getEnabledServers()

  Returns a list of target servers for trap generation.

### setEnabledServers

    public void setEnabledServers(ServerMBean[] serversEnabled)
                           throws javax.management.InvalidAttributeValueException,
                                  ConfigurationException

  Defines a list of target servers for trap generation. If no server is specified, no trap will be generated.

  Secure Value: null

### addEnabledServer

    public boolean addEnabledServer(ServerMBean server)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

### removeEnabledServer

    public boolean removeEnabledServer(ServerMBean server)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference